Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class ProcInstanceSizeCalculator

    java.lang.Object
      com.fujitsu.iflow.model.util.ProcInstanceSizeCalculator

public class ProcInstanceSizeCalculator
extends java.lang.Object

The `ProcInstanceSizeCalculator` is a utility class that calculates the amount of memory required by a process instance (`ProcessInstance` object) in bytes. The main elements considered for calculating the amount are:

- Process instance ID
- Process instance name
- Process instance title
- Process instance description
- Node instances
- Arrow instances
- User Defined Attributes (UDA)
- List of owners
- Process instance initiator
- Process instance priority
- Process instance state
- Status of timers
- Parent process instance ID
- Parent process instance URI

See Also:
  `ProcessInstance`, `NodeInstance`, `ArrowInstance`, `DataItem`

Field Summary
`static long` | `MAX_PROC_INSTANCE_SIZE` The maximum amount of memory requirements in bytes allowed for a process instance.

Constructor Summary
`ProcInstanceSizeCalculator(WFSession dontUse)` Deprecated.

Method Summary
`static long` | `sizeOfProcessInstance(ProcessInstance processInstance)` Returns the calculated size of the entire process instance structure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_PROC_INSTANCE_SIZE

    public static final long MAX_PROC_INSTANCE_SIZE

  The maximum amount of memory requirements in bytes allowed for a process instance. Currently set to 4 * 1024 * 1024

  See Also:
    Constant Field Values

Constructor Detail

### ProcInstanceSizeCalculator

    public ProcInstanceSizeCalculator(WFSession dontUse)

  Deprecated.

  Constructs a new `ProcInstanceSizeCalculator` object.

Method Detail

### sizeOfProcessInstance

    public static long sizeOfProcessInstance(ProcessInstance processInstance)
                                      throws ModelException

  Returns the calculated size of the entire process instance structure.

  Parameters:
    `processInstance` - The process instance for which the size is calculated.
  Returns:
    The size of supplied process instance (in bytes)
  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD